MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023285Community[OCCT] OCCT:Modeling Datapublic2012-07-16 14:282012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023285: Ignoring Bezier curves
DescriptionIn GeomLib_Tool.cxx, in lines 298 and 548, Geom(2d)_BSplineCurve is specified twice. Geom(2d)_BezierCurve is not specified at all. Prbably a copy-paste bug.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020986)
Pawel (developer)
2012-07-16 14:35

Corresponding git branch pushed. Please review.
(0020994)
abv (manager)
2012-07-16 18:20

No remarks, please test
(0021059)
mkv (tester)
2012-07-19 11:27

Dear BugMaster,
The workbenches
KAS:dev:mkv-23285-occt (GIT branch CR23285)
KAS:dev:mkv-23285-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23285-products_17072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0021120)
Pawel (developer)
2012-07-23 16:22

Hello Andrey,

the fix for this issue was integrated under wrong name (0023287: IntPolyh_MaillageAffinage.cxx, line 2217: "identical sub-expressions to the left and to the right of the '-' operator") into master.

Please correct if possible.
(0021123)
abv (manager)
2012-07-23 16:31

Hello Pawel,

Sorry for this mistake!

We have noticed the problem, but decided not to revert the commit, as it would cause troubles to all people who have already checked out the updated master branch. We have corrected the information in Mantis (you should see the link to correct commit below), thus the inconsistency remains only in the Git history.

Hope this should not be a big problem.
(0021124)
Pawel (developer)
2012-07-23 16:37

Hello Andrey,

no problem. Thanks for clarifying.

BTW, it's a pity git does not offer the possibility to change the commit text only (like Subversion does).
(0021125)
Pawel (developer)
2012-07-23 16:39

Please change the status back to 'verified'.

- Issue History
Date Modified Username Field Change
2012-07-16 14:28 Pawel New Issue
2012-07-16 14:28 Pawel Assigned To => Pawel
2012-07-16 14:35 Pawel Note Added: 0020986
2012-07-16 14:35 Pawel Assigned To Pawel => bugmaster
2012-07-16 14:35 Pawel Status new => resolved
2012-07-16 18:20 abv Note Added: 0020994
2012-07-16 18:20 abv Status resolved => reviewed
2012-07-16 18:43 mkv Assigned To bugmaster => mkv
2012-07-19 11:27 mkv Note Added: 0021059
2012-07-19 11:27 mkv Test case number => Not needed
2012-07-19 11:27 mkv Assigned To mkv => bugmaster
2012-07-19 11:27 mkv Status reviewed => tested
2012-07-23 13:22 abv Changeset attached => occt master 0564092b
2012-07-23 14:39 bugmaster Changeset removed occt master 0564092b =>
2012-07-23 14:40 bugmaster Changeset attached => occt master 0564092b
2012-07-23 14:42 bugmaster Status tested => verified
2012-07-23 14:42 bugmaster Resolution open => fixed
2012-07-23 14:42 bugmaster Assigned To bugmaster => Pawel
2012-07-23 16:22 Pawel Assigned To Pawel => bugmaster
2012-07-23 16:22 Pawel Note Added: 0021120
2012-07-23 16:22 Pawel Status verified => feedback
2012-07-23 16:22 Pawel Resolution fixed => reopened
2012-07-23 16:31 abv Note Added: 0021123
2012-07-23 16:37 Pawel Note Added: 0021124
2012-07-23 16:37 Pawel Status feedback => assigned
2012-07-23 16:39 Pawel Note Added: 0021125
2012-07-23 16:39 Pawel Status assigned => resolved
2012-07-23 17:08 bugmaster Status resolved => reviewed
2012-07-23 17:09 bugmaster Status reviewed => verified
2012-07-23 17:09 bugmaster Resolution reopened => fixed
2012-07-23 17:09 bugmaster Assigned To bugmaster => Pawel
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker